%define	libname libhpdf
%define pkgname libharu
%define soname  %{libname}-2_2_0

Name:		%{soname}
Version:	2.2.0
Release:	2.1
Url:		http://libharu.org/
Source:		http://libharu.org/files/%{pkgname}-%{version}.tar.bz2
Summary:	LIBHaru is a library for generating PDF files
Group:		Development/Libraries
License:	ZLIB/LIBPNG
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	libpng-devel zlib-devel
Provides:	%{pkgname} = %{version}
Obsoletes:	%{pkgname}

%description
libHaru is a free, cross platform, open source library for generating PDF files.

It supports the following features:

   1. Generating PDF files with lines, text, images.
   2. Outline, text annotation, link annotation.
   3. Compressing document with deflate-decode.
   4. Embedding PNG, Jpeg images.
   5. Embedding Type1 font and TrueType font.
   6. Creating encrypted PDF files.
   7. Using various character sets (ISO8859-1~16, MSCP1250~8, KOI8-R).
   8. Supporting CJK fonts and encodings. 

You can add the feature of PDF creation by using HARU without understanding complicated internal structure of PDF.

libHaru is written in ANSI C, so theoretically it supports most of the modern OSes.

%package -n %{libname}-devel
Summary:        %{name} development files
Group:          Development/Libraries
Requires:       %{soname}
Provides:	%{pkgname}-devel = %{version}
Obsoletes:	%{pkgname}-devel

%description -n %{libname}-devel
%{pkgname} development files (includes & extra libs)


%prep
%setup -n %{pkgname}-%{version}
%configure --with-zlib --with-png --with-libdir=%{_libdir}

%build
%__make

%install
%__make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README CHANGES
%{_libdir}/%{libname}-%{version}.so

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/hpdf*
%{_libdir}/%{libname}.a
%{_libdir}/%{libname}.la
%{_libdir}/%{libname}.so

%changelog
* Thu Oct 28 2010 Carsten Schoene <cs@linux-administrator.com> - 2.2.0-1
- update to release 2.2.0

* Wed Nov 19 2008 Carsten Schoene <cs@linux-administrator.com>
- initial package


